PCICTL(8)

NAME
pcictl - a program to manipulate the PCI bus

SYNOPSIS
pcictl pcibus command [ arg [...]]

DESCRIPTION
pcictl allows a user or system administrator to access various resources on a PCI bus.

The following commands are available:

list [-n] [-b bus] [-d device] [-f function]

List the devices in the PCI domain, either as names or, if -n is given, as numbers. The bus, device, and function numbers may be specified by flags. Any locator not specified defaults to a wildcard, or may be explicitly wildcarded by specifying “any”.

dump [-b bus] -d device [-f function]

Dump the PCI configuration space for the specified device located at the specified bus, device, and function. If the bus is not specified, it defaults to the bus number of the PCI bus specified on the command line. If the function is not specified, it defaults to 0.

FILES
/dev/pci* - PCI bus device nodes

SEE ALSO
pci(3), pci(4), drvctl(8)

HISTORY
The pcictl command first appeared in NetBSD 1.6.